Summary:	GeoIP database files for xt_geoip
Summary(pl.UTF-8):	Pliki baz danych GeoIP dla xt_geoip
Name:		xtables-geoip
Version:	20151103
Release:	1
License:	GPL, Open Data License
Group:		Networking/Admin
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoIPCountryCSV.zip
# Source0-md5:	fca9c86db94d9347b4089bfe7926a6f2
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.csv.gz
# Source1-md5:	0c1f0ea9f1c6dce8979878fd353190a9
Source2:	http://geolite.maxmind.com/download/geoip/database/LICENSE.txt
# Source2-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
Source3:	http://sourceforge.net/p/xtables-addons/xtables-addons/ci/master/tree/geoip/xt_geoip_build?format=raw&/xt_geoip_build
# Source3-md5:	4dcd62c8b2c8b90cc88e961613118be3
URL:		http://www.maxmind.com/
BuildRequires:	perl-Text-CSV_XS >= 0.69
BuildRequires:	perl-base
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dbdir	/usr/share/xt_geoip

# no debuginfo to package
%define		_enable_debug_packages	0

%ifarch ppc ppc64 s390 s390x sparc sparc64 sparcv9
%define		byteorder	BE
%else
%define		byteorder	LE
%endif

%description
The package contains the GeoIP definition files (which IP addresses
belong to which country) that are needed for Xtables-addons's xt_geoip
module.

%description -l pl.UTF-8
Ten pakiet zawiera pliki definicji GeoIP (określające, które adresy IP
należą do jakiego kraju), wymagane przez moduł xt_geoip z pakietu
xtables-addons.

%prep
%setup -qc
gunzip -c %{SOURCE1} > GeoIPv6.csv
touch -r %{SOURCE1} GeoIPv6.csv

ver4=$(TZ=GMT stat -c '%y' GeoIPCountryWhois.csv | awk '{print $1}' | tr -d -)
ver6=$(TZ=GMT stat -c '%y' GeoIPv6.csv | awk '{print $1}' | tr -d -)
if [ "$ver4" -gt "$ver6" ]; then
	ver=$ver4
else
	ver=$ver6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

cp -p %{SOURCE2} .

%build
%{__perl} %{SOURCE3} GeoIPCountryWhois.csv GeoIPv6.csv | tee ranges.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dbdir}
cp -a %{byteorder} $RPM_BUILD_ROOT%{dbdir}

%if "%{pld_release}" == "ac"
# handle older xtables in ac:
# kernel-net-xtables-addons-1.18-15@2.6.27.53_1.amd64
# still having old .iv0 names requirement
# http://xtables-addons.git.sourceforge.net/git/gitweb.cgi?p=xtables-addons/xtables-addons;a=commitdiff;h=25bf680ead80e505d5073308f151b4007cb5683f
# create hardlink, to be most compatible
for a in $RPM_BUILD_ROOT%{dbdir}/%{byteorder}/*.iv4; do
	ln $a ${a%.iv4}.iv0
done
# kernel-net-xtables-addons-1.18-8@2.6.27.45_1.i686  searches from /var/lib:
# Could not open /var/lib/geoip/LE/EE.iv0: No such file or directory
install -d $RPM_BUILD_ROOT/var/lib
ln -s %{_datadir}/xt_geoip $RPM_BUILD_ROOT/var/lib/geoip
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if "%{pld_release}" == "ac"
%pretrans
# this needs to be a symlink
if [ -d /var/lib/geoip -a ! -L /var/lib/geoip ]; then
	mv -f /var/lib/geoip{,.rpmsave}
	install -d %{dbdir}
	ln -s %{dbdir} /var/lib/geoip
fi
%endif

%files
%defattr(644,root,root,755)
%doc LICENSE.txt ranges.txt
%dir %{dbdir}
%{dbdir}/%{byteorder}

%if "%{pld_release}" == "ac"
/var/lib/geoip
%endif
%changelog
* Wed Nov 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xtables-geoip.git;a=log;h=master

* Tue Nov 03 2015 Elan Ruusamäe <glen@delfi.ee> b89d5e8
- updated to 20151103

* Tue Oct 27 2015 Elan Ruusamäe <glen@delfi.ee> 54279f3
- updated to 20151027

* Fri Oct 09 2015 Elan Ruusamäe <glen@delfi.ee> 3ab7ea0
- updated to 20151009

* Wed Oct 07 2015 Elan Ruusamäe <glen@delfi.ee> e4d2025
- updated to 20151007

* Tue Oct 06 2015 Elan Ruusamäe <glen@delfi.ee> 00b3624
- updated to 20151006

* Wed Sep 02 2015 Elan Ruusamäe <glen@delfi.ee> 746de3f
- updated to 20150902

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 0f3fad5
- up to xtables-geoip

* Mon Jul 27 2015 Elan Ruusamäe <glen@delfi.ee> 00f4086
- up to 20150724

* Wed Jul 15 2015 Elan Ruusamäe <glen@delfi.ee> de8ed72
- up to 20150708

* Thu Jun 04 2015 Elan Ruusamäe <glen@delfi.ee> 1879d35
- up to 20150603

* Thu May 07 2015 Elan Ruusamäe <glen@delfi.ee> 7192db3
- up to 20150506

* Mon Apr 13 2015 Elan Ruusamäe <glen@delfi.ee> 8135351
- up to 20150407

* Wed Mar 25 2015 Elan Ruusamäe <glen@delfi.ee> 9e44c0b
- up to 20150303

* Fri Jan 09 2015 Elan Ruusamäe <glen@delfi.ee> b73d005
- up to 20150107

* Wed Dec 03 2014 Elan Ruusamäe <glen@delfi.ee> 3b09db7
- up to 20141202

* Tue Nov 11 2014 Elan Ruusamäe <glen@delfi.ee> d785ec5
- up to 20141105

* Thu Oct 09 2014 Elan Ruusamäe <glen@delfi.ee> 69b4cac
- up to 20141008

* Mon Sep 15 2014 Elan Ruusamäe <glen@delfi.ee> b388f81
- up to 20140904

* Wed Sep 03 2014 Elan Ruusamäe <glen@delfi.ee> 406a827
- up to 20140903

* Wed Aug 06 2014 Elan Ruusamäe <glen@delfi.ee> 7c7a8ef
- up to 20140806

